<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Investment extends Model
{
    use HasFactory;

    public function plan(){
        return $this->belongsTo(InvestmentPlan::class, 'investment_plan_id');
    }

    public function referrals(){
        return $this->hasMany(Referral::class);
    }

    public function user(){
        return $this->belongsTo(User::class);
    }
}

